Name:		compton
Version:	0.1_beta3
Release:	1
Summary:	A compositor for X11
License:	MIT
URL:		https://github.com/AxelSilverdew/compton
Source0:	https://github.com/AxelSilverdew/compton/archive/v%{version}.tar.gz
Source2:	https://raw.githubusercontent.com/AxelSilverdew/compton/master/media/icons/48x48/compton.png

BuildRequires:	libX11-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXext-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXinerama-devel
BuildRequires:	libconfig-devel
BuildRequires:	dbus-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	pcre-devel
BuildRequires:	asciidoc

# For the /usr/share/icons/hicolor/** directories.
BuildRequires: hicolor-icon-theme
Requires:      hicolor-icon-theme

%description
Compton is a compositor for X, and a fork of xcompmgr-dana.

%prep
%autosetup

%build
# Export the COMPTON_VERSION variable (you may also pass it to make directly)
export COMPTON_VERSION=%{version}-%{release}
export CFLAGS="$RPM_OPT_FLAGS"
%__make
%__make docs

%install
%make_install
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/compton
%{_bindir}/compton-trans
%{_mandir}/man1/compton.1*
%{_mandir}/man1/compton-trans.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/compton.*



%changelog
* Tue Jan  9 2018 AxelSilverdew <axeld@fedoraproject.org>
- Made some edits to fit Fedora packaging guidelines better

* Sun Jan  7 2018 AxelSilverdew <axeld@fedoraproject.org>
- Initial Package Spec
